%--------------------------------------------------------------------------
% brainSensingApplication - This script is the main script in the
% application. It runs initializing and data processing, and should be run 
% prior to connecting to the EmoEngine.  
%
% created: 15.02.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

clear all
close all

%% Data processing variables:
% Variables 
timeStamp = 4.5;
temp = 0;
EEGmid = 0;
EEGstart = 0;
EEGstop = 0;

alphaPow = 0;
alpha_pow = 0;
alphaFreq = 0;
alpha_freq = 0;

betaPow = 0;
beta_pow = 0;
betaFreq = 0;  
beta_freq = 0;

thetaPow = 0;
theta_pow = 0;
thetaFreq = 0;
theta_freq = 0;

frontal= 0;
parietal=0;
occipital = 0;
all = 0;
otherSensors = 0;

% Flags
flagFirst5secHasPassed = 0;
flagEndProcessing = 0;
boolProcessingHasBegun = 0;

% Counters
sim = 0;
counter = 0;
counterPlot = 0; 

% Vectors
timeSeries = [];
filteredData = [];
remainingData = [];
writeToSimulator = [];
newest5secOfData = [];
descending5secOfData = [];

alphaFreqDevelopment = []; 
alphaPowDevelopment = []; 
betaFreqDevelopment = []; 
betaPowDevelopment = []; 
thetaFreqDevelopment = []; 
thetaPowDevelopment = []; 

%% Take input to specify program
[directory, sensorChoice, frontal, parietal, occipital, all, otherSensors, SENSOR, typeOfProgram, first, second] = initializing()

%% Start program

if typeOfProgram==1 % Running time application
    % Data extract
    yt=0; %test variable
    line=1;
    pausetime = 0.5;
    file = dir(directory); % directory
    thisTimeStamp=[];
    currentTimeStamp = extractDate(file.date);
    simResCount=1;

    while(1)
            file = dir(directory);  
            thisTimeStamp = extractDate(file.date);

          if compareDate(thisTimeStamp,currentTimeStamp) && line==1 || line>1 % Start first reading once the .txt file is updated or every "pausetime" sec after that
            pause(0.1)
            simResults{simResCount} = csvread(directory, line,0); % Read comma separated numeric values from txt file, ignoring first header line 
            line= line + length(simResults{simResCount})+1; % Choose which line to start reading next
            simResCount = simResCount+1; 
          end

           pause(pausetime);     % Choose how often you want to take out new data

           if line>1 % Process data after first loop
              processEEGdata
           end
        yt=yt+1;

    end
end

if typeOfProgram==2 % Analyse a given data set
    simResults1 = csvread(directory, 1,0); % Extract data from file, read comma separated numeric values from txt file, ignoring first header line 
    simResults{1}=simResults1;
    processEEGdata                     % Begin data processing
end







