%--------------------------------------------------------------------------
% findMeanPowerAndFrequency - The function finds the correct frequency interval for
% alpha, beta and theta waves, and calculates their mean frequency and 
% mean power
%
% created: 10.02.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

function [alpha_pow, beta_pow, theta_pow,  alpha_freq, beta_freq, theta_freq] = findMeanPowerAndFrequency(Px, fVals)

    start_alpha=0;
    stop_alpha=0;
    flag_alpha=0;
    start_beta=0;
    stop_beta=0;
    flag_beta=0;
    start_theta=0;
    stop_theta=0;
    flag_theta=0;


    % Find alpha waves
    for i=1:length(fVals)
        if fVals(i)>=8&&flag_alpha==0
            start_alpha=i;
            flag_alpha=1;
        end

        if fVals(i)>=13
            stop_alpha=i;
            break
        end

    end

%     figure;
%     plot(fVals(start_alpha:stop_alpha),Px(start_alpha:stop_alpha),'b','LineSmoothing','off','LineWidth',1);         
%     title('Power Spectral Density ALPHA waves');  
%     legend('mean power of alpha')
%     xlabel('Frequency (Hz)')         
%     ylabel('PSD');
% 

    % Find beta waves
    for i=1:length(fVals)
        if fVals(i)>=13&&flag_beta==0
            start_beta=i;
            flag_beta=1;
        end

        if fVals(i)>=31
            stop_beta=i;
            break
        end

    end
% 
%     figure;
%     plot(fVals(start_beta:stop_beta),Px(start_beta:stop_beta),'b','LineSmoothing','off','LineWidth',1);         
%     title('Power Spectral Density 16 to 31')
%     legend('mean power of beta')
%     xlabel('Frequency (Hz)')         
%     ylabel('PSD');

    % Find theta waves
    for i=1:length(fVals)
        if fVals(i)>=4&&flag_theta==0
            start_theta=i;
            flag_theta=1;
        end

        if fVals(i)>=8
            stop_theta=i;
            break
        end

    end
% 
%     figure;
%     plot(fVals(start_theta:stop_theta),Px(start_theta:stop_theta),'b','LineSmoothing','off','LineWidth',1);         
%     title('Power Spectral Density 16 to 31')
%     legend('mean power of theta')
%     xlabel('Frequency (Hz)')         
%     ylabel('PSD');


    %find average alpha value for interval
    alpha=0;
    alpha1=0;
    counter_alpha=0;
    for i=start_alpha:stop_alpha
        alpha = alpha + Px(i);
        alpha1 = alpha1 + Px(i)*fVals(i);
        counter_alpha= counter_alpha+1;
    end
    alpha_pow=alpha/counter_alpha; %find average power value
    alpha_freq =alpha1/alpha; %find average frequency value

    %find average beta value for interval
    beta=0;
    beta1=0;
    counter_beta=0;
    for i=start_beta:stop_beta
        beta = beta + Px(i);
        beta1 = beta1 + Px(i)*fVals(i);
        counter_beta= counter_beta+1;
    end
    beta_pow=beta/counter_beta; %find average power value
    beta_freq =beta1/beta; %find average frequency value
    
    %find average theta value for interval
    theta=0;
    theta1=0;
    counter_theta=0;
    for i=start_theta:stop_theta
        theta = theta + Px(i);
        theta1 = theta1 + Px(i)*fVals(i);
        counter_theta= counter_theta+1;
    end
    theta_pow=theta/counter_theta; %find average power value
    theta_freq =theta1/theta; %find average frequency value

end





