%--------------------------------------------------------------------------
% Highpass - The function creates a highpass filter suitable to filter EEG
% data
% 
% created: 22.02.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

%Highpass FIR filter with normalized stopband frequency 2 pi rad/sample, 
%passband frequency 5pi rad/sample, passband ripple 0.5 dB, and stopband attenuation 60 dB.
%Use a Kaiser window to design the filter. Visualize its magnitude response. 

function [d]= highpass()

    Fstop = 2;   % StopbandFrequency
    Fpass = 4;   % PassbandFrequency
    Astop = 60;  % StopbandAttenuation
    Apass = 0.5; % PassbandRipple
    Fs = 128;    % Sample rate

    d = designfilt('highpassfir','StopbandFrequency',Fstop, 'PassbandFrequency',Fpass,'StopbandAttenuation',Astop, 'PassbandRipple',Apass,'SampleRate',Fs,'DesignMethod','equiripple');

end