%--------------------------------------------------------------------------
% Initializing - The function will perform an initial routine
% and get user input needed in the brain sensing application.
%
% created: 07.05.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

function [directory, sensorChoice, frontal, parietal, occipital, all, otherSensors, SENSOR, typeOfProgram, first, second] = initializing()

    sensorChoice = 0;
    SENSOR = [];
    frontal= 0;
    parietal=0;
    occipital = 0;
    all = 0;
    otherSensors = 0;
    typeOfProgram = 0;
    first = 0;
    second = 0;

    
    % Choose a .txt file to analyse
    fprintf('Select a .txt file to analyse \n\n')
    [FileName,PathName] = uigetfile('*.txt','Select a .txt file to analyse', 'C:\Users\lisebj\Documents\Visual Studio 2013\Projects\Project1\Debug\');
    directory = strcat(PathName, FileName); 

    % Choose which sensors to analyse
    prompt2 = 'Choose which sensors to analyse. \nFrontal =1 \nParietal = 2 \nOccipital = 3 \nAll = 4 \notherSensors = 5\n\n';
    sensorChoice = input(prompt2);

    if sensorChoice ==1
        frontal= 1;
        SENSOR=[2 3 4 5 12 13 14 15]; %Analyse the Frontal lobe
    end
    if sensorChoice ==2
        parietal=1;
        SENSOR=[7 10]; %Analyse the Parietal lobe
    end
    if sensorChoice ==3
        occipital = 1;
        SENSOR=[8 9]; %Analyse the Occipital lobe
    end
    if sensorChoice ==4
        all = 1;
        SENSOR=[2 3 4 5 7 8 9 10 12 13 14 15]; %Analyse ALL sensors
    end
    if sensorChoice ==5
        otherSensors = 1;  
        specifiedOtherSensors = 'Choose which sensors to analyse.\n 2= AF3, 3= F7, 4= F3, 5= FC5, 6= T7, 7= P7, 8= O1, 9= O2, 10= P8, 11= T8, 12= FC6, 13= F4, 14= F8, 15= AF4\n Specify sensors like this example: [ 2 3 4 ]\n\n';
        sensorChoice = input(specifiedOtherSensors);
        SENSOR = sensorChoice; 
    end

    % Choose if you want a running time application or analyse a given data set
    prompt = 'Choose a running time application by pressing 1 \nChoose to analyse a data set by pressing 2\n\n';
    typeOfProgram = input(prompt);

    if typeOfProgram==2 % Analyse a data set
        % Choose which sensors to analyse
        prompt3 = 'Do you want to analyse a given time interval or the whole data set? \nGiven time interval =1 \nWhole data set = 2\n\n';
        intervalChoice = input(prompt3);
        if intervalChoice==1
            prompt4 = 'Please type in when you want to start analysing the data (in seconds)\n';
            first = input(prompt4);
            prompt5 = 'Please type in when you want to stop analysing the data (in seconds)\n';
            second = input(prompt5);
        end

        if intervalChoice==2
         first = 0; 
         second = 0;
        end
    end

end