%--------------------------------------------------------------------------
% plotEEGdata - This function will plot EEG data for all sensors
% 
% created: 16.02.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

function []= plotEEGdata(EEGdata)

    figure;
    hold on
    coli = jet(14);
    coli(2,:)= [0.7, 0, 1];
    coli(3,:)= [0.6, 0.6, 1];
    coli(14,:)= [1, 0, 0.7];

    for i =1:14,
       plot(EEGdata(:,18),EEGdata(:,(i+1)),'col', coli(i,:))
    end 

    hold off
    title('EEG signals')
    xlabel('Time [s]') 
    ylabel('Voltage [mV]')
    legend('AF3', 'F7' ,'F3' , 'FC5','T7', 'P7', 'O1', 'O2','P8', 'T8', 'FC6', 'F4','F8', 'AF4')

end