%--------------------------------------------------------------------------
% plotPSD - This function plots the Power Spectral Density
% 
% created: 10.02.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

function [] = plotPSD(Px, fVals, Nsamps)
    
    NFFT= 2^nextpow2(Nsamps)        % 1024 - number of samples taken from time domain signal - Transform length


    %plotting Power Spectral Density
    figure;
    plot(fVals,Px(1:NFFT/2),'b','LineSmoothing','off','LineWidth',1);         
    title('One Sided Power Spectral Density');         
    xlabel('Frequency (Hz)')         
    ylabel('PSD')

end