%--------------------------------------------------------------------------
% plotTrends - The function takes in developing trends for power or
% frequency of the alpha, beta or theta frequency band, and creates plots 
% 
% created: 07.05.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------


function [] = plotTrends(developmentF, developmentP, developmentO, developmentAll, type) 

% Plot development of alpha, bata, power and freq for all brain areas 

    figure;
    plot(timeSeries, developmentF, 'k')
    hold on 
    plot(timeSeries, developmentP, 'r')
    hold on 
    plot(timeSeries, developmentO, 'b')
    hold on;
    plot(timeSeries, developmentAll, 'g')
    
    if type ==1 % Mean alpha frequency for 4 brain areas
        title('Mean frequency in alpha band')
        legend('Frequency in frontal lobe', 'Frequency in paritetal lobe', 'Frequency in occopital lobe', 'Frequency in all lobes') 
        ylabel('Frequency [Hz]');
    end
    if type ==2 % Mean alpha power for 4 brain areas
        title('Alpha mean power')
        legend('Power in frontal lobe', 'Power in paritetal lobe', 'Power in occopital lobe', 'Power in all lobes')
        ylabel('Power [mV^2/Hz]');
    end
    if type ==3 % Mean beta frequency for 4 brain areas
        title('Mean frequency in beta band')
        legend('Frequency in frontal lobe', 'Frequency in paritetal lobe', 'Frequency in occopital lobe', 'Frequency in all lobes') 
        ylabel('Frequency [Hz]');
    end
    if type ==4 % Mean beta power for 4 brain areas
        title('Beta mean power')
        legend('Power in frontal lobe', 'Power in paritetal lobe', 'Power in occopital lobe', 'Power in all lobes')
        ylabel('Power [mV^2/Hz]');
    end
    if type ==5 % Mean theta frequency for 4 brain areas
        title('theta mean frequency')
        legend('Frequency in frontal lobe', 'Frequency in paritetal lobe', 'Frequency in occopital lobe', 'Frequency in all lobes') 
        ylabel('Frequency [Hz]');
    end
    if type ==5 % Mean theta power for 4 brain areas
        title('Theta mean power')
        legend('Power in frontal lobe', 'Power in paritetal lobe', 'Power in occopital lobe', 'Power in all lobes')
        ylabel('Power [mV^2/Hz]');
    end
 
    xlabel('Time [s]')  

end